Bug 140386 - Incorrect error message for duplicate VG displayed
Summary: Incorrect error message for duplicate VG displayed
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-lvm   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jim Parsons
QA Contact: Jim Parsons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-22 18:51 UTC by Derek Anderson
Modified: 2009-04-16 23:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-23 19:38:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Derek Anderson 2004-11-22 18:51:27 UTC
Description of problem:
If the user attempts to create a duplicate Volume Group with the GUI
the message"
"A Logical Volume with the name %s already exists in this Volume
Group. Please choose a unique name."

is displayed.  The correct message is NON_UNIQUE_VG_NAME.  The
NON_UNIQUE_NAME is incorrectly being displayed instead. 

Changed line 264 of InputController.pl to NON_UNIQUE_VG_NAME and got
the desired result.

Version-Release number of selected component (if applicable):
system-config-lvm-0.9.12-1.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jim Parsons 2004-11-22 21:53:51 UTC
Doh.
Fixed in 0.9.14-1.0

Comment 2 Derek Anderson 2004-11-23 19:38:48 UTC
Verified in system-config-lvm-0.9.17-1.0.


Note You need to log in before you can comment on or make changes to this bug.